SELECT u.nombre AS usuario, a.importe, p.jornada,TRIM(el.nombre) || ' ' || TRIM(ev.nombre) AS partido,
CASE
      WHEN a.id_modalidad = 1 THEN m.descripcion || ': ' || v_e_d
      WHEN a.id_modalidad = 2 THEN m.descripcion  || ': ' ||  j.nombre
      WHEN a.id_modalidad = 3 THEN m.descripcion || ': ' || goles_local_1_parte || ' - ' || goles_visitante_1_parte
      WHEN a.id_modalidad = 4 THEN m.descripcion || ': ' || goles_local_2_parte || ' - ' || goles_visitante_2_parte
    END AS resultado
FROM usuarios u, apuestas a, jugadores j, partidos p, modalidades m, equipos el, equipos ev
WHERE a.id_usuario = u.id_usuario AND a.id_modalidad = m.id_modalidad AND a.id_partido = p.id_partido AND a.id_jugador = j.id_jugador(+)
AND p.id_equipo_local = el.id_equipo AND p.id_equipo_visitante = ev.id_equipo;