SELECT jornada,
  TRIM(el.nombre) || ' ' || TRIM(ev.nombre) AS
partido,
  TRIM(j.nombre) AS
jugador,
  TRIM(e.nombre) AS
equipo
FROM equipos e,
  equipos el,
  equipos ev,
  alineaciones a,
  partidos p,
  jugadores j
WHERE el.id_equipo = p.id_equipo_local
 AND ev.id_equipo = p.id_equipo_visitante
 AND a.id_partido = p.id_partido
 AND a.id_jugador = j.id_jugador
 AND e.id_equipo = a.id_equipo
ORDER BY jornada,
  j.id_jugador