SELECT jornada, TRIM(el.nombre) || ' ' || TRIM(ev.nombre) AS partido, j.nombre AS jugador, g.orden as gol_numero
FROM jugadores j, goles g, partidos p, equipos el, equipos ev
WHERE g.id_partido = p.id_partido AND g.id_jugador = j.id_jugador
AND p.id_equipo_local = el.id_equipo AND p.id_equipo_visitante = ev.id_equipo
ORDER BY gol_numero;