select  p.modalidad, trim(p.nombre_jugador) || trim(resultado_1_parte) || trim(resultado_final) as resultado_apuesta
, count(*) num_apuestas, sum(importe), avg(importe) 
from apuestas_f a, usuarios_d u, parametros_d p, jornadas_d j, rangos_edad e, ganadora_d g, fechas_d f
where a.id_usuario = u.id_usuario and a.fecha_id = f.fecha_id and a.id_parametros = p.id_parametros and a.id_jornada = j.id_jornada and a.id_rango = e.id_rango 
and a.id_ganadora = G.ID_GANADORA
group by   p.modalidad, trim(p.nombre_jugador) || trim(resultado_1_parte) || trim(resultado_final)
order by 1,2;