--------------------------------------------------------
--  Constraints for Table USUARIOS
--------------------------------------------------------

  ALTER TABLE "OPERATIONAL"."USUARIOS" ADD CONSTRAINT "Nombre" UNIQUE ("NOMBRE")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM"  ENABLE;
  ALTER TABLE "OPERATIONAL"."USUARIOS" ADD CONSTRAINT "id_usuario" PRIMARY KEY ("ID_USUARIO")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM"  ENABLE;
  ALTER TABLE "OPERATIONAL"."USUARIOS" MODIFY ("FECHA_NACIMIENTO" NOT NULL ENABLE);
  ALTER TABLE "OPERATIONAL"."USUARIOS" MODIFY ("LOCALIDAD" NOT NULL ENABLE);
  ALTER TABLE "OPERATIONAL"."USUARIOS" MODIFY ("NOMBRE" NOT NULL ENABLE);
  ALTER TABLE "OPERATIONAL"."USUARIOS" MODIFY ("ID_USUARIO" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table TEMPORADAS
--------------------------------------------------------

  ALTER TABLE "OPERATIONAL"."TEMPORADAS" ADD CONSTRAINT "unique_nombre_temporada" UNIQUE ("NOMBRE")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM"  ENABLE;
  ALTER TABLE "OPERATIONAL"."TEMPORADAS" ADD CONSTRAINT "id_temporada" PRIMARY KEY ("ID_TEMPORADA")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM"  ENABLE;
  ALTER TABLE "OPERATIONAL"."TEMPORADAS" MODIFY ("NOMBRE" NOT NULL ENABLE);
  ALTER TABLE "OPERATIONAL"."TEMPORADAS" MODIFY ("ID_TEMPORADA" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table LIGAS
--------------------------------------------------------

  ALTER TABLE "OPERATIONAL"."LIGAS" ADD CONSTRAINT "unique_nombre_liga" UNIQUE ("NOMBRE")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM"  ENABLE;
  ALTER TABLE "OPERATIONAL"."LIGAS" ADD CONSTRAINT "id_liga" PRIMARY KEY ("ID_LIGA")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM"  ENABLE;
  ALTER TABLE "OPERATIONAL"."LIGAS" MODIFY ("ID_PAIS" NOT NULL ENABLE);
  ALTER TABLE "OPERATIONAL"."LIGAS" MODIFY ("NOMBRE" NOT NULL ENABLE);
  ALTER TABLE "OPERATIONAL"."LIGAS" MODIFY ("ID_LIGA" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table JUGADORES
--------------------------------------------------------

  ALTER TABLE "OPERATIONAL"."JUGADORES" ADD CONSTRAINT "unique_nombre_jugador" UNIQUE ("NOMBRE")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM"  ENABLE;
  ALTER TABLE "OPERATIONAL"."JUGADORES" ADD CONSTRAINT "id_jugador" PRIMARY KEY ("ID_JUGADOR")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM"  ENABLE;
  ALTER TABLE "OPERATIONAL"."JUGADORES" MODIFY ("NOMBRE" NOT NULL ENABLE);
  ALTER TABLE "OPERATIONAL"."JUGADORES" MODIFY ("ID_JUGADOR" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table GOLES
--------------------------------------------------------

  ALTER TABLE "OPERATIONAL"."GOLES" ADD CONSTRAINT "id_gol" PRIMARY KEY ("ID_GOL")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM"  ENABLE;
  ALTER TABLE "OPERATIONAL"."GOLES" ADD CONSTRAINT "oder_mayor_cero" CHECK ("ORDEN">0) ENABLE;
  ALTER TABLE "OPERATIONAL"."GOLES" MODIFY ("ID_PARTIDO" NOT NULL ENABLE);
  ALTER TABLE "OPERATIONAL"."GOLES" MODIFY ("ID_JUGADOR" NOT NULL ENABLE);
  ALTER TABLE "OPERATIONAL"."GOLES" MODIFY ("ORDEN" NOT NULL ENABLE);
  ALTER TABLE "OPERATIONAL"."GOLES" MODIFY ("ID_GOL" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table FICHAJES
--------------------------------------------------------

  ALTER TABLE "OPERATIONAL"."FICHAJES" ADD CONSTRAINT "id_fichaje" PRIMARY KEY ("ID_FICHAJE")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM"  ENABLE;
  ALTER TABLE "OPERATIONAL"."FICHAJES" MODIFY ("ID_EQUIPO" NOT NULL ENABLE);
  ALTER TABLE "OPERATIONAL"."FICHAJES" MODIFY ("ID_JUGADOR" NOT NULL ENABLE);
  ALTER TABLE "OPERATIONAL"."FICHAJES" MODIFY ("F_ALTA" NOT NULL ENABLE);
  ALTER TABLE "OPERATIONAL"."FICHAJES" MODIFY ("ID_FICHAJE" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table EQUIPOS_LIGA
--------------------------------------------------------

  ALTER TABLE "OPERATIONAL"."EQUIPOS_LIGA" ADD CONSTRAINT "id_equipo_liga" PRIMARY KEY ("ID_EQUIPO_LIGA")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM"  ENABLE;
  ALTER TABLE "OPERATIONAL"."EQUIPOS_LIGA" MODIFY ("ID_TEMPORADA" NOT NULL ENABLE);
  ALTER TABLE "OPERATIONAL"."EQUIPOS_LIGA" MODIFY ("ID_LIGA" NOT NULL ENABLE);
  ALTER TABLE "OPERATIONAL"."EQUIPOS_LIGA" MODIFY ("ID_EQUIPO" NOT NULL ENABLE);
  ALTER TABLE "OPERATIONAL"."EQUIPOS_LIGA" MODIFY ("ID_EQUIPO_LIGA" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table EQUIPOS
--------------------------------------------------------

  ALTER TABLE "OPERATIONAL"."EQUIPOS" ADD CONSTRAINT "unique_nombre_equipo" UNIQUE ("NOMBRE")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM"  ENABLE;
  ALTER TABLE "OPERATIONAL"."EQUIPOS" ADD CONSTRAINT "id_equipo" PRIMARY KEY ("ID_EQUIPO")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM"  ENABLE;
  ALTER TABLE "OPERATIONAL"."EQUIPOS" MODIFY ("NOMBRE" NOT NULL ENABLE);
  ALTER TABLE "OPERATIONAL"."EQUIPOS" MODIFY ("ID_EQUIPO" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table APUESTAS
--------------------------------------------------------

  ALTER TABLE "OPERATIONAL"."APUESTAS" ADD CONSTRAINT "id_apuesta" PRIMARY KEY ("ID_APUESTA")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM"  ENABLE;
  ALTER TABLE "OPERATIONAL"."APUESTAS" MODIFY ("IMPORTE" NOT NULL ENABLE);
  ALTER TABLE "OPERATIONAL"."APUESTAS" MODIFY ("ID_PARTIDO" NOT NULL ENABLE);
  ALTER TABLE "OPERATIONAL"."APUESTAS" MODIFY ("ID_MODALIDAD" NOT NULL ENABLE);
  ALTER TABLE "OPERATIONAL"."APUESTAS" MODIFY ("ID_USUARIO" NOT NULL ENABLE);
  ALTER TABLE "OPERATIONAL"."APUESTAS" MODIFY ("ID_APUESTA" NOT NULL ENABLE);
  ALTER TABLE "OPERATIONAL"."APUESTAS" ADD CONSTRAINT "V-E-D" CHECK ("V_E_D"='V' OR "V_E_D"='E' OR "V_E_D"='D') ENABLE;
--------------------------------------------------------
--  Constraints for Table ALINEACIONES
--------------------------------------------------------

  ALTER TABLE "OPERATIONAL"."ALINEACIONES" ADD CONSTRAINT "id_alineacion" PRIMARY KEY ("ID_ALINEACION")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM"  ENABLE;
  ALTER TABLE "OPERATIONAL"."ALINEACIONES" MODIFY ("ID_PARTIDO" NOT NULL ENABLE);
  ALTER TABLE "OPERATIONAL"."ALINEACIONES" MODIFY ("ID_EQUIPO" NOT NULL ENABLE);
  ALTER TABLE "OPERATIONAL"."ALINEACIONES" MODIFY ("ID_JUGADOR" NOT NULL ENABLE);
  ALTER TABLE "OPERATIONAL"."ALINEACIONES" MODIFY ("ID_ALINEACION" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table MODALIDADES
--------------------------------------------------------

  ALTER TABLE "OPERATIONAL"."MODALIDADES" ADD CONSTRAINT "unique_descripcion_modalidad" UNIQUE ("DESCRIPCION")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM"  ENABLE;
  ALTER TABLE "OPERATIONAL"."MODALIDADES" ADD CONSTRAINT "id_modalidad" PRIMARY KEY ("ID_MODALIDAD")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM"  ENABLE;
  ALTER TABLE "OPERATIONAL"."MODALIDADES" MODIFY ("DESCRIPCION" NOT NULL ENABLE);
  ALTER TABLE "OPERATIONAL"."MODALIDADES" MODIFY ("ID_MODALIDAD" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table PAISES
--------------------------------------------------------

  ALTER TABLE "OPERATIONAL"."PAISES" ADD CONSTRAINT "unique_nombre_pais" UNIQUE ("NOMBRE")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM"  ENABLE;
  ALTER TABLE "OPERATIONAL"."PAISES" ADD CONSTRAINT "id_pais" PRIMARY KEY ("ID_PAIS")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM"  ENABLE;
  ALTER TABLE "OPERATIONAL"."PAISES" MODIFY ("NOMBRE" NOT NULL ENABLE);
  ALTER TABLE "OPERATIONAL"."PAISES" MODIFY ("ID_PAIS" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table PARTIDOS
--------------------------------------------------------

  ALTER TABLE "OPERATIONAL"."PARTIDOS" ADD CONSTRAINT "id_partido" PRIMARY KEY ("ID_PARTIDO")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM"  ENABLE;
  ALTER TABLE "OPERATIONAL"."PARTIDOS" MODIFY ("ID_EQUIPO_VISITANTE" NOT NULL ENABLE);
  ALTER TABLE "OPERATIONAL"."PARTIDOS" MODIFY ("ID_EQUIPO_LOCAL" NOT NULL ENABLE);
  ALTER TABLE "OPERATIONAL"."PARTIDOS" MODIFY ("ID_LIGA" NOT NULL ENABLE);
  ALTER TABLE "OPERATIONAL"."PARTIDOS" MODIFY ("ID_TEMPORADA" NOT NULL ENABLE);
  ALTER TABLE "OPERATIONAL"."PARTIDOS" MODIFY ("JORNADA" NOT NULL ENABLE);
  ALTER TABLE "OPERATIONAL"."PARTIDOS" MODIFY ("ID_PARTIDO" NOT NULL ENABLE);
--------------------------------------------------------
--  Ref Constraints for Table LIGAS
--------------------------------------------------------

  ALTER TABLE "OPERATIONAL"."LIGAS" ADD CONSTRAINT "pais-ligas" FOREIGN KEY ("ID_PAIS")
	  REFERENCES "OPERATIONAL"."PAISES" ("ID_PAIS") ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table GOLES
--------------------------------------------------------

  ALTER TABLE "OPERATIONAL"."GOLES" ADD CONSTRAINT "jugador-goles" FOREIGN KEY ("ID_JUGADOR")
	  REFERENCES "OPERATIONAL"."JUGADORES" ("ID_JUGADOR") ENABLE;
  ALTER TABLE "OPERATIONAL"."GOLES" ADD CONSTRAINT "partido-goles" FOREIGN KEY ("ID_PARTIDO")
	  REFERENCES "OPERATIONAL"."PARTIDOS" ("ID_PARTIDO") ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table FICHAJES
--------------------------------------------------------

  ALTER TABLE "OPERATIONAL"."FICHAJES" ADD CONSTRAINT "equipos-fichajes" FOREIGN KEY ("ID_EQUIPO")
	  REFERENCES "OPERATIONAL"."EQUIPOS" ("ID_EQUIPO") ENABLE;
  ALTER TABLE "OPERATIONAL"."FICHAJES" ADD CONSTRAINT "jugadores-fichajes" FOREIGN KEY ("ID_JUGADOR")
	  REFERENCES "OPERATIONAL"."JUGADORES" ("ID_JUGADOR") ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table EQUIPOS_LIGA
--------------------------------------------------------

  ALTER TABLE "OPERATIONAL"."EQUIPOS_LIGA" ADD CONSTRAINT "equipo-ligas" FOREIGN KEY ("ID_EQUIPO")
	  REFERENCES "OPERATIONAL"."EQUIPOS" ("ID_EQUIPO") ENABLE;
  ALTER TABLE "OPERATIONAL"."EQUIPOS_LIGA" ADD CONSTRAINT "liga-equipos" FOREIGN KEY ("ID_LIGA")
	  REFERENCES "OPERATIONAL"."LIGAS" ("ID_LIGA") ENABLE;
  ALTER TABLE "OPERATIONAL"."EQUIPOS_LIGA" ADD CONSTRAINT "temporada-equipos" FOREIGN KEY ("ID_TEMPORADA")
	  REFERENCES "OPERATIONAL"."TEMPORADAS" ("ID_TEMPORADA") ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table APUESTAS
--------------------------------------------------------

  ALTER TABLE "OPERATIONAL"."APUESTAS" ADD CONSTRAINT "jugador-apuestas" FOREIGN KEY ("ID_JUGADOR")
	  REFERENCES "OPERATIONAL"."JUGADORES" ("ID_JUGADOR") ENABLE;
  ALTER TABLE "OPERATIONAL"."APUESTAS" ADD CONSTRAINT "modalidad-apuestas" FOREIGN KEY ("ID_MODALIDAD")
	  REFERENCES "OPERATIONAL"."MODALIDADES" ("ID_MODALIDAD") ENABLE;
  ALTER TABLE "OPERATIONAL"."APUESTAS" ADD CONSTRAINT "partido-apuestas" FOREIGN KEY ("ID_PARTIDO")
	  REFERENCES "OPERATIONAL"."PARTIDOS" ("ID_PARTIDO") ENABLE;
  ALTER TABLE "OPERATIONAL"."APUESTAS" ADD CONSTRAINT "usuario-apuestas" FOREIGN KEY ("ID_USUARIO")
	  REFERENCES "OPERATIONAL"."USUARIOS" ("ID_USUARIO") ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table ALINEACIONES
--------------------------------------------------------

  ALTER TABLE "OPERATIONAL"."ALINEACIONES" ADD CONSTRAINT "equipo-alineaciones" FOREIGN KEY ("ID_EQUIPO")
	  REFERENCES "OPERATIONAL"."EQUIPOS" ("ID_EQUIPO") ENABLE;
  ALTER TABLE "OPERATIONAL"."ALINEACIONES" ADD CONSTRAINT "jugador-alineaciones" FOREIGN KEY ("ID_JUGADOR")
	  REFERENCES "OPERATIONAL"."JUGADORES" ("ID_JUGADOR") ENABLE;
  ALTER TABLE "OPERATIONAL"."ALINEACIONES" ADD CONSTRAINT "partido-alineaciones" FOREIGN KEY ("ID_PARTIDO")
	  REFERENCES "OPERATIONAL"."PARTIDOS" ("ID_PARTIDO") ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table PARTIDOS
--------------------------------------------------------

  ALTER TABLE "OPERATIONAL"."PARTIDOS" ADD CONSTRAINT "equipo-local" FOREIGN KEY ("ID_EQUIPO_LOCAL")
	  REFERENCES "OPERATIONAL"."EQUIPOS_LIGA" ("ID_EQUIPO_LIGA") ENABLE;
  ALTER TABLE "OPERATIONAL"."PARTIDOS" ADD CONSTRAINT "equipo-visitante" FOREIGN KEY ("ID_EQUIPO_VISITANTE")
	  REFERENCES "OPERATIONAL"."EQUIPOS_LIGA" ("ID_EQUIPO_LIGA") ENABLE;
  ALTER TABLE "OPERATIONAL"."PARTIDOS" ADD CONSTRAINT "liga-partidos" FOREIGN KEY ("ID_LIGA")
	  REFERENCES "OPERATIONAL"."LIGAS" ("ID_LIGA") ENABLE;
  ALTER TABLE "OPERATIONAL"."PARTIDOS" ADD CONSTRAINT "temporada-partidos" FOREIGN KEY ("ID_TEMPORADA")
	  REFERENCES "OPERATIONAL"."TEMPORADAS" ("ID_TEMPORADA") ENABLE;
